Bug 85554 - Selecting on Nautilus desktop crashes X
Summary: Selecting on Nautilus desktop crashes X
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-04 11:57 UTC by Veit Wahlich
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 22:22:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Veit Wahlich 2003-03-04 11:57:25 UTC
Description of problem:
I used the pointer device to tag an area on the desktop (without files, just the
area) from the lower right to upper left corner. At a selection of about
300x200px the system (at least X) crashed. 

Version-Release number of selected component (if applicable):
2.2.1-2

How reproducible:
After reboot I was able to verify this behavior on the desktop. I have not
tested whether this happens in Nautilus file manager windows, too.

Steps to Reproduce:
1. Go to some free space on the desktop.
2. Point there and hold down the left mouse button
3. Move pointer to somewhere in the upper left while holding down the button.
4. Crashs are funny.
    
Actual results:
Crash.

Expected results:
No crash.

Additional info:

Comment 1 Alexander Larsson 2003-03-04 12:18:02 UTC
That sounds very much like an X server bug. Probably an XRender implementation bug.


Comment 2 Mike A. Harris 2003-03-05 04:31:21 UTC
Doesn't do that for me.  Please attach relevant hardware details, XFree86
log and config file using the link below as individual uncompressed file
attachments text/plain.

Comment 3 Mike A. Harris 2004-09-28 22:22:29 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.